
#ifdef __cplusplus
extern "C" {
#endif
extern int use_scale2x;
extern int recording_video,video_fps,last_video_frame;

extern UINT32 pause_time;
#define MAX_LAYER_INFO	(16)

extern int key_data[MAX_LAYER_INFO];

extern BITMAP *BlitViewSource; 	// *Viewable* part of bitmap

void get_screen_coordinates(int *Xoff2,int *Yoff2, int *Destx, int *Desty, int *Xxx, int *Yyy);

#ifdef TRIPLE_BUFFER

void reset_triple_buffer(void);

#endif

/*

bitmap handling

*/

void SetupScreenBitmap(void);

void DestroyScreenBitmap(void);

void ReClipScreen(void);

void clear_game_screen(int pen);
void DrawNormal(void);
void InitDrawPaused(void);
void InitDrawPaused(void);
void EndDrawPaused(void);
void DrawPaused(void);


#ifdef __cplusplus
}
#endif
